#include <string>
#include <gnuplot_i.hpp>
#include <Profile.h>
#include <Projection.h>

using namespace std;

#ifndef _Command
#define _Command

class Command
{
protected:
	string command;

public:
	Command();
	virtual string execute(Projection *, Profile *) = 0;

};

#endif
